Reply to topic

problem with installing Tellico 3.0

jopla
Registered Member
Posts
12
Karma
0

problem with installing Tellico 3.0

Tue Dec 13, 2016 10:32 am
Hello,

I try to compile/install Tellico 3.0 from tar tellico-3.0.tar.xz into Xubuntu 14.04 according to COMPILING file in de tar. After the command:
jopla@PC2009:~/Bureaublad/tellico-3.0/build$ cmake .. -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix`

I got this message:
Code: Select all
CMake Error at CMakeLists.txt:9 (find_package):
  Could not find a package configuration file provided by "ECM" (requested
  version 1.3.0) with any of the following names:

    ECMConfig.cmake
    ecm-config.cmake

  Add the installation prefix of "ECM" to CMAKE_PREFIX_PATH or set "ECM_DIR"
  to a directory containing one of the above files.  If "ECM" provides a
  separate development package or SDK, be sure it has been installed.


-- Configuring incomplete, errors occurred!
See also "/home/jop/Bureaublad/tellico-3.0/build/CMakeFiles/CMakeOutput.log".


I tried to install ecm (version 1.03-1) from synaptic, but it doesn't help. According to the message above it should be version 1.3.0. But where can I find that and is it available for Xubuntu 14.04? Can anybody explain me what I have to do?
robbystephenson
KDE Developer
Posts
268
Karma
1
OS
jopla wrote:I try to compile/install Tellico 3.0 from tar tellico-3.0.tar.xz into Xubuntu 14.04 according to COMPILING file in de tar. After the command:
jopla@PC2009:~/Bureaublad/tellico-3.0/build$ cmake .. -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix`

I need to update that file. It applies to Tellico 2.x which use KDE4. Tellico 3.0 needs many of the KDE Frameworks 5 libraries, which would have different compilation needs.

jopla wrote:I tried to install ecm (version 1.03-1) from synaptic, but it doesn't help. According to the message above it should be version 1.3.0. But where can I find that and is it available for Xubuntu 14.04? Can anybody explain me what I have to do?

The package name for ECM is extra-cmake-modules, I believe. Try searching for that.
jopla
Registered Member
Posts
12
Karma
0
Hello Robby,

Thanks for your reaction. I have a few questions about your answers.
I need to update that file.

When and where will be an update of the file available?
And need I to install also KDE5? Will the explanation about that in the updated description?

The package name for ECM is extra-cmake-modules, I believe. Try searching for that.

The package "extra-cmake-modules" is not in the (standard) repository of Xubuntu 14.04. Can I anywhere download it and compile it, or does it not work with 14.04?

Thank,

Jop
robbystephenson
KDE Developer
Posts
268
Karma
1
OS
jopla wrote:Hello Robby,

Thanks for your reaction. I have a few questions about your answers.
I need to update that file.

When and where will be an update of the file available?
And need I to install also KDE5? Will the explanation about that in the updated description?

Right, in order to build and run Tellico 3.0 on that version, I believe you'll need a large number of new packages. As it is right now, I do plan to have another release in the 2.x series which would still compile using the KDE4 instructions. There isn't any new functionality in Tellico 3.0 that won't be in that next 2.x version, other than some GUI rearrangement. I'll probably have that release in January.
The package name for ECM is extra-cmake-modules, I believe. Try searching for that.

The package "extra-cmake-modules" is not in the (standard) repository of Xubuntu 14.04. Can I anywhere download it and compile it, or does it not work with 14.04?[/quote]
http://askubuntu.com/questions/859824/h ... -04-trusty makes it sound doubtful...
andriuskurtinaitis
Registered Member
Posts
5
Karma
0
I've found and succeeded with installation of 3.0 from this PPA: https://launchpad.net/~dominik-stadler/ ... ubuntu/ppa

I know, this is only for 16.04, but anyway, maybe it will be of some use for you.
jopla
Registered Member
Posts
12
Karma
0
robbystephenson wrote:Right, in order to build and run Tellico 3.0 on that version, I believe you'll need a large number of new packages. As it is right now, I do plan to have another release in the 2.x series which would still compile using the KDE4 instructions. There isn't any new functionality in Tellico 3.0 that won't be in that next 2.x version, other than some GUI rearrangement. I'll probably have that release in January.

Hello,
Happy New Year!
I was a while away, but now back. Regarding to your reaction I will wait for the 2.xx update in January. Is the connection to the KB (Koninklijke Bibliotheek - Royal Library in The Haque) also planned in the update?

Greetz,
Jop
jopla
Registered Member
Posts
12
Karma
0
andriuskurtinaitis wrote:I've found and succeeded with installation of 3.0 from this PPA: https://launchpad.net/~dominik-stadler/ ... ubuntu/ppa

I know, this is only for 16.04, but anyway, maybe it will be of some use for you.

I tried but it doesn't work. I think Robby is right that it will be a problem.
robbystephenson
KDE Developer
Posts
268
Karma
1
OS
jopla wrote:Is the connection to the KB (Koninklijke Bibliotheek - Royal Library in The Haque) also planned in the update?

In version 2.3.11, you can create an SRU source for KB, with path set as
Code: Select all
/sru/sru.pl?x-collection=GGC&x-fields=ISBN
and format as
Code: Select all
Dublin Core
That should get work for title searches. It doesn't work for ISBN searches at the moment. I'll poke at it more, thanks for the reminder.
jopla
Registered Member
Posts
12
Karma
0
hello,

Thanks for the kb connection,
but have I to fill in something for host? Or to check any of the boxes? It is searching and searching but don't give any result ...
robbystephenson
KDE Developer
Posts
268
Karma
1
OS
jopla wrote:but have I to fill in something for host? Or to check any of the boxes? It is searching and searching but don't give any result ...

The ISBN search doesn't work at the moment, but title and keyword should.
Image

Image
jopla
Registered Member
Posts
12
Karma
0
Thanks! It works great!

 
Reply to topic

Bookmarks



Who is online

Registered users: Bing [Bot], Exabot [Bot], Google [Bot], jackdinn, kde-cfeck, La Ninje, lueck, ramdanifajar, slumpgod, Sogou [Bot], Yahoo [Bot]